<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/bookinfo_swipeRefresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <include layout="@layout/bookinfo_title" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="180dp"
                android:background="#FFFAFA"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/bookinfo_img"
                    android:layout_width="120dp"
                    android:layout_height="match_parent"
                    android:scaleType="centerCrop" />

                <LinearLayout
                    android:id="@+id/bookItem_innerLinearLayout"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/bookinfo_bookname"
                        android:layout_width="160dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginTop="20dp"
                        android:text="qdeww"
                        android:textSize="20dp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/bookinfo_authorname"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginTop="10dp"
                        android:textColor="#00BFFF"
                        android:text="作者"
                        android:textSize="15dp" />

                    <TextView
                        android:id="@+id/bookinfo_introduce"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="10dp"
                        android:layout_marginTop="15dp"
                        android:ellipsize="end"
                        android:gravity="left"
                        android:maxLines="3" />
                </LinearLayout>
            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="#CCCCCC"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:layout_marginTop="10dp" />
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/textView10"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="简书推荐值 "
                    android:textSize="16dp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/textView11"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textSize="14dp"
                        android:text="推荐" />

                    <ProgressBar
                        android:id="@+id/progressBar_henhao"
                        style="@style/mProgressBarStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="7"
                        android:max="100"
                        android:progressDrawable="@drawable/main_pb_bg" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/textView12"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textSize="14dp"
                        android:text="一般" />

                    <ProgressBar
                        android:id="@+id/progressBar_yiban"
                        style="@style/mProgressBarStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="7"
                        android:max="100"
                        android:progressDrawable="@drawable/main_pb_bg" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/textView13"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textSize="14dp"
                        android:text="不行" />

                    <ProgressBar
                        android:id="@+id/progressBar_buxing"
                        style="@style/mProgressBarStyle"
                        android:layout_width="0dp"
                        android:layout_weight="7"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:max="100"
                        android:progressDrawable="@drawable/main_pb_bg" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_margin="10dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/b_henhao"
                        android:layout_width="100dp"
                        android:layout_height="50dp"
                        android:layout_weight="1"
                        app:srcCompat="@drawable/recommend1" />

                    <ImageView
                        android:id="@+id/b_yiban"
                        android:layout_width="100dp"
                        android:layout_height="50dp"
                        android:layout_weight="1"
                        app:srcCompat="@drawable/normal1" />

                    <ImageView
                        android:id="@+id/b_buxing"
                        android:layout_width="100dp"
                        android:layout_height="50dp"
                        android:layout_weight="1"
                        app:srcCompat="@drawable/bad1" />
                </LinearLayout>
            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="#CCCCCC"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:layout_marginTop="10dp" />
            <TextView
                android:id="@+id/textView2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="精彩随笔"
                android:textSize="16dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/Book_name_View" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/bookinfo_recyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </LinearLayout>

        </LinearLayout>
    </ScrollView>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>
    <LinearLayout
        android:id="@+id/bookinfo_bottom"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:orientation="horizontal"
        android:background="@android:color/white"
        android:gravity="center_vertical"
        app:layout_constraintBottom_toBottomOf="parent">

        <Button
            android:id="@+id/addBook2"
            android:layout_width="0dp"
            android:layout_height="35dp"
            android:layout_weight="1"
            android:textSize="14sp"
            android:text="加入书架"
            android:background="#EEEEEE"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="8dp" />

        <Button
            android:id="@+id/startToRead"
            android:layout_width="0dp"
            android:layout_height="35dp"
            android:layout_weight="1"
            android:textSize="14sp"
            android:text="阅读"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="16dp"
            android:background="#87CEFA"
            android:textColor="#FFFFFF" />
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>